diff --git c/scala/collection/parallel/mutable/ParHashSetCombiner$AddingFlatHashTable.class w/scala/collection/parallel/mutable/ParHashSetCombiner$AddingFlatHashTable.class
index 61fb133ce2..fa96c22f7c 100644
--- c/scala/collection/parallel/mutable/ParHashSetCombiner$AddingFlatHashTable.class
+++ w/scala/collection/parallel/mutable/ParHashSetCombiner$AddingFlatHashTable.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //HashUtils$class=class scala/collection/mutable/Flat
 public #= # of #; //AddingFlatHashTable=class scala/collection/parallel/mutable/ParHashSetCombiner$AddingFlatHashTable of class scala/collection/parallel/mutable/ParHashSetCombiner
 
 Compiled from "ParHashSet.scala"
-public class scala.collection.parallel.mutable.ParHashSetCombiner$AddingFlatHashTable extends java.lang.Object implements scala.collection.mutable.FlatHashTable,scala.ScalaObject{
+public class scala.collection.parallel.mutable.ParHashSetCombiner$AddingFlatHashTable extends java.lang.Object implements scala.collection.mutable.FlatHashTable{
 public final scala.collection.parallel.mutable.ParHashSetCombiner $outer;
   Signature: Lscala/collection/parallel/mutable/ParHashSetCombiner;
 
diff --git c/scala/collection/parallel/mutable/ParHashSetCombiner$FillBlocks.class w/scala/collection/parallel/mutable/ParHashSetCombiner$FillBlocks.class
index 583ea83d58..ad089e05b4 100644
--- c/scala/collection/parallel/mutable/ParHashSetCombiner$FillBlocks.class
+++ w/scala/collection/parallel/mutable/ParHashSetCombiner$FillBlocks.class
@@ -6,7 +6,7 @@ public #= # of #; //FillBlocks=class scala/collection/parallel/mutable/ParHashSe
 public #= # of #; //AddingFlatHashTable=class scala/collection/parallel/mutable/ParHashSetCombiner$AddingFlatHashTable of class scala/collection/parallel/mutable/ParHashSetCombiner
 
 Compiled from "ParHashSet.scala"
-public class scala.collection.parallel.mutable.ParHashSetCombiner$FillBlocks extends java.lang.Object implements scala.collection.parallel.Tasks$Task,scala.ScalaObject{
+public class scala.collection.parallel.mutable.ParHashSetCombiner$FillBlocks extends java.lang.Object implements scala.collection.parallel.Tasks$Task{
 private final scala.collection.mutable.UnrolledBuffer[] buckets;
   Signature: [Lscala/collection/mutable/UnrolledBuffer;
 
diff --git c/scala/collection/parallel/mutable/ParHashSetCombiner.class w/scala/collection/parallel/mutable/ParHashSetCombiner.class
index 4ba381e20b..438a64e17d 100644
--- c/scala/collection/parallel/mutable/ParHashSetCombiner.class
+++ w/scala/collection/parallel/mutable/ParHashSetCombiner.class
@@ -7,7 +7,7 @@ public #= # of #; //FillBlocks=class scala/collection/parallel/mutable/ParHashSe
 public #= # of #; //AddingFlatHashTable=class scala/collection/parallel/mutable/ParHashSetCombiner$AddingFlatHashTable of class scala/collection/parallel/mutable/ParHashSetCombiner
 
 Compiled from "ParHashSet.scala"
-public abstract class scala.collection.parallel.mutable.ParHashSetCombiner extends scala.collection.parallel.BucketCombiner implements scala.collection.mutable.FlatHashTable$HashUtils,scala.ScalaObject{
+public abstract class scala.collection.parallel.mutable.ParHashSetCombiner extends scala.collection.parallel.BucketCombiner implements scala.collection.mutable.FlatHashTable$HashUtils{
 private final int tableLoadFactor;
   Signature: I
 
diff --git c/scala/collection/parallel/mutable/ParHashTable$EntryIterator.class w/scala/collection/parallel/mutable/ParHashTable$EntryIterator.class
index a28665b74c..1d5aff79fa 100644
--- c/scala/collection/parallel/mutable/ParHashTable$EntryIterator.class
+++ w/scala/collection/parallel/mutable/ParHashTable$EntryIterator.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //EntryIterator=class scala/collection/parallel/mutab
 public #= # of #; //ZippedAll=class scala/collection/parallel/IterableSplitter$ZippedAll of class scala/collection/parallel/IterableSplitter
 
 Compiled from "ParHashTable.scala"
-public abstract class scala.collection.parallel.mutable.ParHashTable$EntryIterator extends java.lang.Object implements scala.collection.parallel.IterableSplitter,scala.collection.parallel.mutable.SizeMapUtils,scala.ScalaObject{
+public abstract class scala.collection.parallel.mutable.ParHashTable$EntryIterator extends java.lang.Object implements scala.collection.parallel.IterableSplitter,scala.collection.parallel.mutable.SizeMapUtils{
 private int scala$collection$parallel$mutable$ParHashTable$EntryIterator$$idx;
   Signature: I
 
diff --git c/scala/collection/parallel/mutable/ParHashTable.class w/scala/collection/parallel/mutable/ParHashTable.class
index 862a3d6496..2e0122d6ee 100644
--- c/scala/collection/parallel/mutable/ParHashTable.class
+++ w/scala/collection/parallel/mutable/ParHashTable.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //EntryIterator=class scala/collection/parallel/mutable/ParHashTable$EntryIterator of class scala/collection/parallel/mutable/ParHashTable
 
 Compiled from "ParHashTable.scala"
-public interface scala.collection.parallel.mutable.ParHashTable extends scala.collection.mutable.HashTable,scala.ScalaObject{
+public interface scala.collection.parallel.mutable.ParHashTable extends scala.collection.mutable.HashTable{
 public abstract boolean alwaysInitSizeMap();
   Signature: ()Z
 
diff --git c/scala/collection/parallel/mutable/ParIterable.class w/scala/collection/parallel/mutable/ParIterable.class
index 38dc5aa2be..bdb9d57b62 100644
--- c/scala/collection/parallel/mutable/ParIterable.class
+++ w/scala/collection/parallel/mutable/ParIterable.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "ParIterable.scala"
-public interface scala.collection.parallel.mutable.ParIterable extends scala.collection.GenIterable,scala.collection.parallel.ParIterable,scala.collection.generic.GenericParTemplate,scala.collection.parallel.ParIterableLike,scala.ScalaObject{
+public interface scala.collection.parallel.mutable.ParIterable extends scala.collection.parallel.ParIterable{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/parallel/mutable/ParMap$WithDefault.class w/scala/collection/parallel/mutable/ParMap$WithDefault.class
index fdc8828bea..2a4dde1297 100644
--- c/scala/collection/parallel/mutable/ParMap$WithDefault.class
+++ w/scala/collection/parallel/mutable/ParMap$WithDefault.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //WithDefault=class scala/collection/parallel/ParMap$
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "ParMap.scala"
-public class scala.collection.parallel.mutable.ParMap$WithDefault extends scala.collection.parallel.ParMap$WithDefault implements scala.collection.parallel.mutable.ParMap,scala.ScalaObject{
+public class scala.collection.parallel.mutable.ParMap$WithDefault extends scala.collection.parallel.ParMap$WithDefault implements scala.collection.parallel.mutable.ParMap{
 private final scala.collection.parallel.mutable.ParMap underlying;
   Signature: Lscala/collection/parallel/mutable/ParMap;
 
diff --git c/scala/collection/parallel/mutable/ParMap.class w/scala/collection/parallel/mutable/ParMap.class
index 81448deb08..58e398dba5 100644
--- c/scala/collection/parallel/mutable/ParMap.class
+++ w/scala/collection/parallel/mutable/ParMap.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //WithDefault=class scala/collection/parallel/mutable/ParMap$WithDefault of class scala/collection/parallel/mutable/ParMap
 
 Compiled from "ParMap.scala"
-public interface scala.collection.parallel.mutable.ParMap extends scala.collection.GenMap,scala.collection.parallel.ParMap,scala.collection.parallel.mutable.ParIterable,scala.collection.generic.GenericParMapTemplate,scala.collection.parallel.mutable.ParMapLike,scala.ScalaObject{
+public interface scala.collection.parallel.mutable.ParMap extends scala.collection.parallel.ParMap,scala.collection.parallel.mutable.ParIterable,scala.collection.parallel.mutable.ParMapLike{
 public abstract scala.collection.parallel.Combiner newCombiner();
   Signature: ()Lscala/collection/parallel/Combiner;
 
diff --git c/scala/collection/parallel/mutable/ParMapLike.class w/scala/collection/parallel/mutable/ParMapLike.class
index 4e76b81d8d..05b4f149b2 100644
--- c/scala/collection/parallel/mutable/ParMapLike.class
+++ w/scala/collection/parallel/mutable/ParMapLike.class
@@ -1,6 +1,6 @@
 
 Compiled from "ParMapLike.scala"
-public interface scala.collection.parallel.mutable.ParMapLike extends scala.collection.GenMapLike,scala.collection.parallel.ParMapLike,scala.collection.generic.Growable,scala.collection.generic.Shrinkable,scala.collection.mutable.Cloneable,scala.ScalaObject{
+public interface scala.collection.parallel.mutable.ParMapLike extends scala.collection.parallel.ParMapLike,scala.collection.generic.Growable,scala.collection.generic.Shrinkable,scala.collection.mutable.Cloneable{
 public abstract scala.Option put(java.lang.Object, java.lang.Object);
   Signature: (Ljava/lang/Object;Ljava/lang/Object;)Lscala/Option;
 
diff --git c/scala/collection/parallel/mutable/ParSeq.class w/scala/collection/parallel/mutable/ParSeq.class
index c847a10957..33a5e8dadf 100644
--- c/scala/collection/parallel/mutable/ParSeq.class
+++ w/scala/collection/parallel/mutable/ParSeq.class
@@ -1,6 +1,6 @@
 
 Compiled from "ParSeq.scala"
-public interface scala.collection.parallel.mutable.ParSeq extends scala.collection.GenSeq,scala.collection.parallel.mutable.ParIterable,scala.collection.parallel.ParSeq,scala.collection.generic.GenericParTemplate,scala.collection.parallel.ParSeqLike,scala.ScalaObject{
+public interface scala.collection.parallel.mutable.ParSeq extends scala.collection.parallel.mutable.ParIterable,scala.collection.parallel.ParSeq{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/parallel/mutable/ParSet.class w/scala/collection/parallel/mutable/ParSet.class
index b8e1e65809..5fe3e5322e 100644
--- c/scala/collection/parallel/mutable/ParSet.class
+++ w/scala/collection/parallel/mutable/ParSet.class
@@ -1,6 +1,6 @@
 
 Compiled from "ParSet.scala"
-public interface scala.collection.parallel.mutable.ParSet extends scala.collection.GenSet,scala.collection.parallel.mutable.ParIterable,scala.collection.parallel.ParSet,scala.collection.generic.GenericParTemplate,scala.collection.parallel.mutable.ParSetLike,scala.ScalaObject{
+public interface scala.collection.parallel.mutable.ParSet extends scala.collection.parallel.mutable.ParIterable,scala.collection.parallel.ParSet,scala.collection.parallel.mutable.ParSetLike{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/parallel/mutable/ParSetLike.class w/scala/collection/parallel/mutable/ParSetLike.class
index ca40ae8d1d..6fbb531f49 100644
--- c/scala/collection/parallel/mutable/ParSetLike.class
+++ w/scala/collection/parallel/mutable/ParSetLike.class
@@ -1,6 +1,6 @@
 
 Compiled from "ParSetLike.scala"
-public interface scala.collection.parallel.mutable.ParSetLike extends scala.collection.GenSetLike,scala.collection.parallel.ParIterableLike,scala.collection.parallel.ParSetLike,scala.collection.generic.Growable,scala.collection.generic.Shrinkable,scala.collection.mutable.Cloneable,scala.ScalaObject{
+public interface scala.collection.parallel.mutable.ParSetLike extends scala.collection.parallel.ParSetLike,scala.collection.generic.Growable,scala.collection.generic.Shrinkable,scala.collection.mutable.Cloneable{
 public abstract scala.collection.parallel.mutable.ParSet empty();
   Signature: ()Lscala/collection/parallel/mutable/ParSet;
 
diff --git c/scala/collection/parallel/mutable/ResizableParArrayCombiner$CopyChainToArray.class w/scala/collection/parallel/mutable/ResizableParArrayCombiner$CopyChainToArray.class
index cc3d028909..23d7eb6f85 100644
--- c/scala/collection/parallel/mutable/ResizableParArrayCombiner$CopyChainToArray.class
+++ w/scala/collection/parallel/mutable/ResizableParArrayCombiner$CopyChainToArray.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Task$class=class scala/collection/parallel/Tasks$Ta
 public #= # of #; //CopyChainToArray=class scala/collection/parallel/mutable/ResizableParArrayCombiner$CopyChainToArray of class scala/collection/parallel/mutable/ResizableParArrayCombiner
 
 Compiled from "ResizableParArrayCombiner.scala"
-public class scala.collection.parallel.mutable.ResizableParArrayCombiner$CopyChainToArray extends java.lang.Object implements scala.collection.parallel.Tasks$Task,scala.ScalaObject{
+public class scala.collection.parallel.mutable.ResizableParArrayCombiner$CopyChainToArray extends java.lang.Object implements scala.collection.parallel.Tasks$Task{
 private final java.lang.Object[] array;
   Signature: [Ljava/lang/Object;
 
diff --git c/scala/collection/parallel/mutable/ResizableParArrayCombiner.class w/scala/collection/parallel/mutable/ResizableParArrayCombiner.class
index 8424071e4b..08834f9166 100644
--- c/scala/collection/parallel/mutable/ResizableParArrayCombiner.class
+++ w/scala/collection/parallel/mutable/ResizableParArrayCombiner.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //CopyChainToArray=class scala/collection/parallel/mutable/ResizableParArrayCombiner$CopyChainToArray of class scala/collection/parallel/mutable/ResizableParArrayCombiner
 
 Compiled from "ResizableParArrayCombiner.scala"
-public interface scala.collection.parallel.mutable.ResizableParArrayCombiner extends scala.collection.parallel.mutable.LazyCombiner,scala.ScalaObject{
+public interface scala.collection.parallel.mutable.ResizableParArrayCombiner extends scala.collection.parallel.mutable.LazyCombiner{
 public abstract void sizeHint(int);
   Signature: (I)V
 
diff --git c/scala/collection/parallel/mutable/UnrolledParArrayCombiner$CopyUnrolledToArray.class w/scala/collection/parallel/mutable/UnrolledParArrayCombiner$CopyUnrolledToArray.class
index bfd93dc52f..da21966c0d 100644
--- c/scala/collection/parallel/mutable/UnrolledParArrayCombiner$CopyUnrolledToArray.class
+++ w/scala/collection/parallel/mutable/UnrolledParArrayCombiner$CopyUnrolledToArray.class
@@ -5,7 +5,7 @@ public #= # of #; //Unrolled=class scala/collection/mutable/UnrolledBuffer$Unrol
 public #= # of #; //CopyUnrolledToArray=class scala/collection/parallel/mutable/UnrolledParArrayCombiner$CopyUnrolledToArray of class scala/collection/parallel/mutable/UnrolledParArrayCombiner
 
 Compiled from "UnrolledParArrayCombiner.scala"
-public class scala.collection.parallel.mutable.UnrolledParArrayCombiner$CopyUnrolledToArray extends java.lang.Object implements scala.collection.parallel.Tasks$Task,scala.ScalaObject{
+public class scala.collection.parallel.mutable.UnrolledParArrayCombiner$CopyUnrolledToArray extends java.lang.Object implements scala.collection.parallel.Tasks$Task{
 private final java.lang.Object[] array;
   Signature: [Ljava/lang/Object;
 
diff --git c/scala/collection/parallel/mutable/UnrolledParArrayCombiner.class w/scala/collection/parallel/mutable/UnrolledParArrayCombiner.class
index 53af51e9de..72a52639f2 100644
--- c/scala/collection/parallel/mutable/UnrolledParArrayCombiner.class
+++ w/scala/collection/parallel/mutable/UnrolledParArrayCombiner.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //CopyUnrolledToArray=class scala/collection/parallel/mutable/UnrolledParArrayCombiner$CopyUnrolledToArray of class scala/collection/parallel/mutable/UnrolledParArrayCombiner
 
 Compiled from "UnrolledParArrayCombiner.scala"
-public interface scala.collection.parallel.mutable.UnrolledParArrayCombiner extends scala.collection.parallel.Combiner,scala.ScalaObject{
+public interface scala.collection.parallel.mutable.UnrolledParArrayCombiner extends scala.collection.parallel.Combiner{
 public abstract void scala$collection$parallel$mutable$UnrolledParArrayCombiner$_setter_$buff_$eq(scala.collection.parallel.mutable.DoublingUnrolledBuffer);
   Signature: (Lscala/collection/parallel/mutable/DoublingUnrolledBuffer;)V
 
diff --git c/scala/collection/script/End$.class w/scala/collection/script/End$.class
index d43135de11..41fd94e09c 100644
--- c/scala/collection/script/End$.class
+++ w/scala/collection/script/End$.class
@@ -1,6 +1,6 @@
 
 Compiled from "Location.scala"
-public final class scala.collection.script.End$ extends scala.collection.script.Location implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.collection.script.End$ extends scala.collection.script.Location implements scala.Product,scala.Serializable{
 public static final scala.collection.script.End$ MODULE$;
   Signature: Lscala/collection/script/End$;
 
diff --git c/scala/collection/script/Include.class w/scala/collection/script/Include.class
index cee9c1c2e2..74094bcbb5 100644
--- c/scala/collection/script/Include.class
+++ w/scala/collection/script/Include.class
@@ -1,6 +1,6 @@
 
 Compiled from "Message.scala"
-public class scala.collection.script.Include extends java.lang.Object implements scala.collection.script.Message,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.script.Include extends java.lang.Object implements scala.collection.script.Message,scala.Product,scala.Serializable{
 private final scala.collection.script.Location location;
   Signature: Lscala/collection/script/Location;
 
diff --git c/scala/collection/script/Index.class w/scala/collection/script/Index.class
index d1d8263663..897de0521f 100644
--- c/scala/collection/script/Index.class
+++ w/scala/collection/script/Index.class
@@ -1,6 +1,6 @@
 
 Compiled from "Location.scala"
-public class scala.collection.script.Index extends scala.collection.script.Location implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.script.Index extends scala.collection.script.Location implements scala.Product,scala.Serializable{
 private final int n;
   Signature: I
 
diff --git c/scala/collection/script/NoLo$.class w/scala/collection/script/NoLo$.class
index f7416dee87..6c6c45b8bf 100644
--- c/scala/collection/script/NoLo$.class
+++ w/scala/collection/script/NoLo$.class
@@ -1,6 +1,6 @@
 
 Compiled from "Location.scala"
-public final class scala.collection.script.NoLo$ extends scala.collection.script.Location implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.collection.script.NoLo$ extends scala.collection.script.Location implements scala.Product,scala.Serializable{
 public static final scala.collection.script.NoLo$ MODULE$;
   Signature: Lscala/collection/script/NoLo$;
 
diff --git c/scala/collection/script/Remove.class w/scala/collection/script/Remove.class
index 4ac825fd1e..2e6d2b727b 100644
--- c/scala/collection/script/Remove.class
+++ w/scala/collection/script/Remove.class
@@ -1,6 +1,6 @@
 
 Compiled from "Message.scala"
-public class scala.collection.script.Remove extends java.lang.Object implements scala.collection.script.Message,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.script.Remove extends java.lang.Object implements scala.collection.script.Message,scala.Product,scala.Serializable{
 private final scala.collection.script.Location location;
   Signature: Lscala/collection/script/Location;
 
diff --git c/scala/collection/script/Reset.class w/scala/collection/script/Reset.class
index e022c1b42e..85ee6a5bdc 100644
--- c/scala/collection/script/Reset.class
+++ w/scala/collection/script/Reset.class
@@ -1,6 +1,6 @@
 
 Compiled from "Message.scala"
-public class scala.collection.script.Reset extends java.lang.Object implements scala.collection.script.Message,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.script.Reset extends java.lang.Object implements scala.collection.script.Message,scala.Product,scala.Serializable{
 public scala.collection.script.Reset copy();
   Signature: ()Lscala/collection/script/Reset;
   Code:
diff --git c/scala/collection/script/Start$.class w/scala/collection/script/Start$.class
index 42e1ae757c..856e1b19b1 100644
--- c/scala/collection/script/Start$.class
+++ w/scala/collection/script/Start$.class
@@ -1,6 +1,6 @@
 
 Compiled from "Location.scala"
-public final class scala.collection.script.Start$ extends scala.collection.script.Location implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.collection.script.Start$ extends scala.collection.script.Location implements scala.Product,scala.Serializable{
 public static final scala.collection.script.Start$ MODULE$;
   Signature: Lscala/collection/script/Start$;
 
diff --git c/scala/collection/script/Update.class w/scala/collection/script/Update.class
index 8d3f43ab98..9c57adbca0 100644
--- c/scala/collection/script/Update.class
+++ w/scala/collection/script/Update.class
@@ -1,6 +1,6 @@
 
 Compiled from "Message.scala"
-public class scala.collection.script.Update extends java.lang.Object implements scala.collection.script.Message,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.collection.script.Update extends java.lang.Object implements scala.collection.script.Message,scala.Product,scala.Serializable{
 private final scala.collection.script.Location location;
   Signature: Lscala/collection/script/Location;
 
diff --git c/scala/io/BufferedSource$BufferedLineIterator.class w/scala/io/BufferedSource$BufferedLineIterator.class
index 0a9aed2e0c..9dbf27f3f5 100644
--- c/scala/io/BufferedSource$BufferedLineIterator.class
+++ w/scala/io/BufferedSource$BufferedLineIterator.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //BufferedLineIterator=class scala/io/BufferedSource$BufferedLineIterator of class scala/io/BufferedSource
 
 Compiled from "BufferedSource.scala"
-public class scala.io.BufferedSource$BufferedLineIterator extends scala.collection.AbstractIterator implements scala.collection.Iterator,scala.ScalaObject{
+public class scala.io.BufferedSource$BufferedLineIterator extends scala.collection.AbstractIterator implements scala.collection.Iterator{
 private final java.io.BufferedReader lineReader;
   Signature: Ljava/io/BufferedReader;
 
diff --git c/scala/io/BytePickle$Def.class w/scala/io/BytePickle$Def.class
index 3b54b866f9..f3049c2998 100644
--- c/scala/io/BytePickle$Def.class
+++ w/scala/io/BytePickle$Def.class
@@ -3,7 +3,7 @@ public #= # of #; //Def=class scala/io/BytePickle$Def of class scala/io/BytePick
 public abstract #= # of #; //RefDef=class scala/io/BytePickle$RefDef of class scala/io/BytePickle
 
 Compiled from "BytePickle.scala"
-public class scala.io.BytePickle$Def extends scala.io.BytePickle$RefDef implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.io.BytePickle$Def extends scala.io.BytePickle$RefDef implements scala.Product,scala.Serializable{
 public scala.io.BytePickle$Def copy();
   Signature: ()Lscala/io/BytePickle$Def;
   Code:
diff --git c/scala/io/BytePickle$Ref.class w/scala/io/BytePickle$Ref.class
index 5d7e815b29..8a9a02a964 100644
--- c/scala/io/BytePickle$Ref.class
+++ w/scala/io/BytePickle$Ref.class
@@ -3,7 +3,7 @@ public #= # of #; //Ref=class scala/io/BytePickle$Ref of class scala/io/BytePick
 public abstract #= # of #; //RefDef=class scala/io/BytePickle$RefDef of class scala/io/BytePickle
 
 Compiled from "BytePickle.scala"
-public class scala.io.BytePickle$Ref extends scala.io.BytePickle$RefDef implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.io.BytePickle$Ref extends scala.io.BytePickle$RefDef implements scala.Product,scala.Serializable{
 public scala.io.BytePickle$Ref copy();
   Signature: ()Lscala/io/BytePickle$Ref;
   Code:
diff --git c/scala/io/Codec$.class w/scala/io/Codec$.class
index a8ea9662c7..925e30cec9 100644
--- c/scala/io/Codec$.class
+++ w/scala/io/Codec$.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "Codec.scala"
-public final class scala.io.Codec$ extends java.lang.Object implements scala.io.LowPriorityCodecImplicits,scala.ScalaObject{
+public final class scala.io.Codec$ extends java.lang.Object implements scala.io.LowPriorityCodecImplicits{
 public static final scala.io.Codec$ MODULE$;
   Signature: Lscala/io/Codec$;
 
diff --git c/scala/io/Source$LineIterator.class w/scala/io/Source$LineIterator.class
index a55f64e763..f798e18790 100644
--- c/scala/io/Source$LineIterator.class
+++ w/scala/io/Source$LineIterator.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //LineIterator=class scala/io/Source$LineIterator of class scala/io/Source
 
 Compiled from "Source.scala"
-public class scala.io.Source$LineIterator extends scala.collection.AbstractIterator implements scala.collection.Iterator,scala.ScalaObject{
+public class scala.io.Source$LineIterator extends scala.collection.AbstractIterator implements scala.collection.Iterator{
 private final scala.collection.mutable.StringBuilder sb;
   Signature: Lscala/collection/mutable/StringBuilder;
 
diff --git c/scala/io/Source.class w/scala/io/Source.class
index aec227049e..b9795d781c 100644
--- c/scala/io/Source.class
+++ w/scala/io/Source.class
@@ -8,7 +8,7 @@ public final #= # of #; //RelaxedPositioner$=class scala/io/Source$RelaxedPositi
 public #= # of #; //GroupedIterator=class scala/collection/Iterator$GroupedIterator of class scala/collection/Iterator
 
 Compiled from "Source.scala"
-public abstract class scala.io.Source extends java.lang.Object implements scala.collection.Iterator,scala.ScalaObject{
+public abstract class scala.io.Source extends java.lang.Object implements scala.collection.Iterator{
 private java.lang.String descr;
   Signature: Ljava/lang/String;
 
diff --git c/scala/math/BigDecimal.class w/scala/math/BigDecimal.class
index 5396c88831..15eb137114 100644
--- c/scala/math/BigDecimal.class
+++ w/scala/math/BigDecimal.class
@@ -7,7 +7,7 @@ public #= # of #; //Inclusive=class scala/collection/immutable/NumericRange$Incl
 public final #= # of #; //RoundingMode$=class scala/math/BigDecimal$RoundingMode$ of class scala/math/BigDecimal
 
 Compiled from "BigDecimal.scala"
-public class scala.math.BigDecimal extends scala.math.ScalaNumber implements scala.math.ScalaNumericConversions,scala.Serializable,scala.ScalaObject{
+public class scala.math.BigDecimal extends scala.math.ScalaNumber implements scala.math.ScalaNumericConversions,scala.Serializable{
 private final java.math.BigDecimal bigDecimal;
   Signature: Ljava/math/BigDecimal;
 
diff --git c/scala/math/BigInt.class w/scala/math/BigInt.class
index a31e1b994e..8425d202f8 100644
--- c/scala/math/BigInt.class
+++ w/scala/math/BigInt.class
@@ -4,7 +4,7 @@ public #= # of #; //Exclusive=class scala/collection/immutable/NumericRange$Excl
 public #= # of #; //Inclusive=class scala/collection/immutable/NumericRange$Inclusive of class scala/collection/immutable/NumericRange
 
 Compiled from "BigInt.scala"
-public class scala.math.BigInt extends scala.math.ScalaNumber implements scala.math.ScalaNumericConversions,scala.Serializable,scala.ScalaObject{
+public class scala.math.BigInt extends scala.math.ScalaNumber implements scala.math.ScalaNumericConversions,scala.Serializable{
 private final java.math.BigInteger bigInteger;
   Signature: Ljava/math/BigInteger;
 
diff --git c/scala/math/Equiv$.class w/scala/math/Equiv$.class
index b04b0aba91..bfa3747349 100644
--- c/scala/math/Equiv$.class
+++ w/scala/math/Equiv$.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "Equiv.scala"
-public final class scala.math.Equiv$ extends java.lang.Object implements scala.math.LowPriorityEquiv,scala.ScalaObject{
+public final class scala.math.Equiv$ extends java.lang.Object implements scala.math.LowPriorityEquiv{
 public static final scala.math.Equiv$ MODULE$;
   Signature: Lscala/math/Equiv$;
 
diff --git c/scala/math/Fractional$Implicits$.class w/scala/math/Fractional$Implicits$.class
index 52e3011362..586bd74c9e 100644
--- c/scala/math/Fractional$Implicits$.class
+++ w/scala/math/Fractional$Implicits$.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //ExtraImplicits=class scala/math/Fractional$ExtraImp
 public abstract #= # of #; //ExtraImplicits$class=class scala/math/Fractional$ExtraImplicits$class of class scala/math/Fractional
 
 Compiled from "Fractional.scala"
-public final class scala.math.Fractional$Implicits$ extends java.lang.Object implements scala.math.Fractional$ExtraImplicits,scala.ScalaObject{
+public final class scala.math.Fractional$Implicits$ extends java.lang.Object implements scala.math.Fractional$ExtraImplicits{
 public static final scala.math.Fractional$Implicits$ MODULE$;
   Signature: Lscala/math/Fractional$Implicits$;
 
diff --git c/scala/math/Fractional.class w/scala/math/Fractional.class
index 590304db88..fb797a7fdf 100644
--- c/scala/math/Fractional.class
+++ w/scala/math/Fractional.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //ExtraImplicits=class scala/math/Fractional$ExtraImp
 public abstract #= # of #; //ExtraImplicits$class=class scala/math/Fractional$ExtraImplicits$class of class scala/math/Fractional
 
 Compiled from "Fractional.scala"
-public interface scala.math.Fractional extends scala.math.Numeric,scala.ScalaObject{
+public interface scala.math.Fractional extends scala.math.Numeric{
 public abstract java.lang.Object div(java.lang.Object, java.lang.Object);
   Signature: (Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;
 
diff --git c/scala/math/Integral$Implicits$.class w/scala/math/Integral$Implicits$.class
index 715551dcd3..9b3237d5a0 100644
--- c/scala/math/Integral$Implicits$.class
+++ w/scala/math/Integral$Implicits$.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //ExtraImplicits=class scala/math/Integral$ExtraImpli
 public abstract #= # of #; //ExtraImplicits$class=class scala/math/Integral$ExtraImplicits$class of class scala/math/Integral
 
 Compiled from "Integral.scala"
-public final class scala.math.Integral$Implicits$ extends java.lang.Object implements scala.math.Integral$ExtraImplicits,scala.ScalaObject{
+public final class scala.math.Integral$Implicits$ extends java.lang.Object implements scala.math.Integral$ExtraImplicits{
 public static final scala.math.Integral$Implicits$ MODULE$;
   Signature: Lscala/math/Integral$Implicits$;
 
diff --git c/scala/math/Integral.class w/scala/math/Integral.class
index 7b7aafa891..3e4013481d 100644
--- c/scala/math/Integral.class
+++ w/scala/math/Integral.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //ExtraImplicits=class scala/math/Integral$ExtraImpli
 public abstract #= # of #; //ExtraImplicits$class=class scala/math/Integral$ExtraImplicits$class of class scala/math/Integral
 
 Compiled from "Integral.scala"
-public interface scala.math.Integral extends scala.math.Numeric,scala.ScalaObject{
+public interface scala.math.Integral extends scala.math.Numeric{
 public abstract java.lang.Object quot(java.lang.Object, java.lang.Object);
   Signature: (Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;
 
